Delivers a queryable list of notification details for the given notification.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/notifications/{notificationId}/details \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/notifications/{notificationId}/details"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/notifications/{notificationId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"notificationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"code": "<string>",
"message": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Marketplace Notification
Delivers a queryable list of notification details for the given notification.
GET
/
v2
/
marketplace
/
notifications
/
{notificationId}
/
details
Delivers a queryable list of notification details for the given notification.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
ID of the marketplace notification. Represents a key for SCX notifications.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Was this page helpful?